Skip to main content

public/get-book

GET 

/public/get-book

Fetches the public order book for a particular instrument and depth.

Request

Query Parameters

    instrument_name stringrequired

    Instrument symbol, e.g. BTCUSD-PERP

    depth stringrequired

    Number of bids and asks to return (up to 50)

Success.
Schema
    id int64

    Echoed request id

    method string

    Method invoked

    code int32

    0 = success; non-zero indicates error (reason code).

    result object
    Present when code === 0. Order book. data is array of one object; bids/asks are [Price, Quantity, NumOrders].
    depth int32

    Number of bids and asks to return (up to 50)

    instrument_name string

    e.g. BTCUSD-PERP

    data object[]
  • Array [
  • bids array[]
    asks array[]
  • ]
  • message string

    Present when code !== 0.

    original string

    Present when code !== 0.